Skip to navigation

Get a sender domain configuration

View as Markdown

Retrieves configuration of a specific domain, to know if the domain is valid or not.

Use this to:

  • Check domain configuration
  • Validate a domain configuration
  • Monitor DNS record status
  • Troubleshoot authentication issues

Key information returned:

  • Domain verification and authentication status
  • DNS records configuration and validation status
  • Detailed authentication requirements

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

OR
AuthorizationBearer

OAuth 2.0 client_credentials (machine-to-machine) grant. Exchange your app’s client_id/client_secret for a short-lived Bearer token.

Path parameters

domainNamestringRequired
Domain name

Response

Domain configuration retrieved successfully
domainstring
Domain name
verifiedboolean

Status of domain verification (true=verified, false=non verified)

authenticatedboolean

Status of domain authentication (true=authenticated, false=non authenticated)

dns_recordsobject
DNS records configuration and status

Errors

400
Bad Request Error
404
Not Found Error